%define date 20030813
%define cache /var/cache/yum
%define prepcache /tmp/yum
Summary: RPM installer/updater
Name: yum-headers
Version: 712
Release: %{date}
License: GPL
Group: System Environment/Base
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
Requires: yum

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.
yum-headers will populate the base yum directories with the headers
that were current when the rpm was made.  This will save download time.

%post
cd %{cache}
#First do 712
mkdir tempdir
cd tempdir
if ! [ -f ../712server/header.info ] ; then
	tar xf ../yum.headers.server.%{date}.tar
	mv -f server ../712server
fi
if ! [ -f ../712updates/header.info ] ; then
	tar xf ../yum.headers.updates.%{date}.tar
	mv -f updates ../712updates
fi
cd ..
#Then do 71rolling
if ! [ -f 71rollingserver/header.info ] ; then
	mkdir 71rollingserver
	mkdir 71rollingserver/headers
	mkdir 71rollingserver/packages
	cp -rp 712server/header.info 71rollingserver/header.info
	ln 712server/headers/*.hdr 71rollingserver/headers
fi
if ! [ -f 71rollingupdates/header.info ] ; then
	mkdir 71rollingupdates
	mkdir 71rollingupdates/headers
	mkdir 71rollingupdates/packages
	cp -rp 712updates/header.info 71rollingupdates/header.info
	ln 712updates/headers/*.hdr 71rollingupdates/headers
fi
#Then clean ourselves up
rm -rf tempdir
rm -f yum.headers.server.%{date}.tar
rm -f yum.headers.updates.%{date}.tar

%files 
%{cache}/yum.headers.server.%{date}.tar
%{cache}/yum.headers.updates.%{date}.tar
